/* -----------------------------------------
   Dropdown
	----------------------------------------- */
.dropdown-menu {
  padding: 0 0 0 0;
}

html,
body {
  min-width: 270px;
}

a.dropdown-menu-header {
  background: #f7f9fe;
  font-weight: bold;
  border-bottom: 1px solid #e3e3e3;
}

.dropdown-menu > li a {
  padding: 10px 20px;
}

.fa-2x {
  font-size: 1.2em;
}

.navbar-nav > .user-menu > .dropdown-menu > li.user-header {
  height: 175px;
  min-width: 279px;
  padding: 10px;
  text-align: center;
}

.navbar-nav > .user-menu > .dropdown-menu > li.user-header > img {
  z-index: 5;
  height: 90px;
  width: 250px;
  border: 3px solid;
  border-color: transparent;
  border-color: rgba(255, 255, 255, 0.2);
}

.user-header {
  padding: 10px !important;
}

@media screen and (max-width: 768px) {
  .navbar-nav > .user-menu > .dropdown-menu > li.user-header {
    height: 175px;
    width: 100%;
    padding: 10px;
    text-align: center;
  }
}

.img-circle {
  border-radius: 50%;
}

.navbar-nav > .user-menu > .dropdown-menu > .user-body {
  padding: 15px;
  border-bottom: 1px solid #f4f4f4;
  border-top: 1px solid #dddddd;
}

.navbar-nav > .user-menu > .dropdown-menu > .user-footer {
  background-color: #f9f9f9;
  padding: 10px;
}

/*** Letter avatar */
.avatar {
  width: 52px;
  height: 52px;
  background-color: #000;
  border-radius: 50%;
  font-family: sans-serif;
  color: #ffd500;
  font-weight: bold;
  font-size: 16px;
}

.avatar {
  display: flex;
  align-items: center;
  justify-content: center;
}

.avatar {
  width: 70px;
  height: 70px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #000;
  border-radius: 50%;
  font-family: sans-serif;
  color: #ffd500;
  font-weight: bold;
  font-size: 20px;
  position: relative;
}

.bg-success {
  /* background-color: #FF851B !important; */
  background-color: #ffd500 !important;
  color: white;
}

.badge {
  padding: 3px 5px 2px;
  position: absolute;
  top: 8px;
  right: 5px;
  display: inline-block;
  min-width: 10px;
  font-size: 9px;
  font-weight: bold;
  /* color: #ffffff; */
  line-height: 1;
  vertical-align: baseline;
  white-space: nowrap;
  text-align: center;
  border-radius: 10px;
  background: red;
}

.dropdown-toggle::after {
  display: none;
}

.main-menu .menu-right .icon-nav .onhover-div .show-div.setting {
  padding: 15px 20px 20px;
  min-width: 230px;
  right: 0;
  left: unset;
}

@-webkit-keyframes ring {
  0% {
    -webkit-transform: rotate(-15deg);
    transform: rotate(-15deg);
  }

  2% {
    -webkit-transform: rotate(15deg);
    transform: rotate(15deg);
  }

  4% {
    -webkit-transform: rotate(-18deg);
    transform: rotate(-18deg);
  }

  6% {
    -webkit-transform: rotate(18deg);
    transform: rotate(18deg);
  }

  8% {
    -webkit-transform: rotate(-22deg);
    transform: rotate(-22deg);
  }

  10% {
    -webkit-transform: rotate(22deg);
    transform: rotate(22deg);
  }

  12% {
    -webkit-transform: rotate(-18deg);
    transform: rotate(-18deg);
  }

  14% {
    -webkit-transform: rotate(18deg);
    transform: rotate(18deg);
  }

  16% {
    -webkit-transform: rotate(-12deg);
    transform: rotate(-12deg);
  }

  18% {
    -webkit-transform: rotate(12deg);
    transform: rotate(12deg);
  }

  20% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
}

@keyframes ring {
  0% {
    -webkit-transform: rotate(-15deg);
    -ms-transform: rotate(-15deg);
    transform: rotate(-15deg);
  }

  2% {
    -webkit-transform: rotate(15deg);
    -ms-transform: rotate(15deg);
    transform: rotate(15deg);
  }

  4% {
    -webkit-transform: rotate(-18deg);
    -ms-transform: rotate(-18deg);
    transform: rotate(-18deg);
  }

  6% {
    -webkit-transform: rotate(18deg);
    -ms-transform: rotate(18deg);
    transform: rotate(18deg);
  }

  8% {
    -webkit-transform: rotate(-22deg);
    -ms-transform: rotate(-22deg);
    transform: rotate(-22deg);
  }

  10% {
    -webkit-transform: rotate(22deg);
    -ms-transform: rotate(22deg);
    transform: rotate(22deg);
  }

  12% {
    -webkit-transform: rotate(-18deg);
    -ms-transform: rotate(-18deg);
    transform: rotate(-18deg);
  }

  14% {
    -webkit-transform: rotate(18deg);
    -ms-transform: rotate(18deg);
    transform: rotate(18deg);
  }

  16% {
    -webkit-transform: rotate(-12deg);
    -ms-transform: rotate(-12deg);
    transform: rotate(-12deg);
  }

  18% {
    -webkit-transform: rotate(12deg);
    -ms-transform: rotate(12deg);
    transform: rotate(12deg);
  }

  20% {
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
}

.faa-ring.animated,
.faa-ring.animated-hover:hover,
.faa-parent.animated-hover:hover > .faa-ring {
  -webkit-animation: ring 2s ease infinite;
  animation: ring 2s ease infinite;
  transform-origin-x: 50%;
  transform-origin-y: 0px;
  transform-origin-z: initial;
}

.dropdown-menu li a {
  border-left: 0 !important;
  color: #1b2161;
}

@media (max-width: 370px) {
  .shopping-carts {
    display: none;
  }
  #btn_login_google,
  #btn_login_facebook {
    font-size: 10px;
  }
 
}

.top-toal-prx2 .cartItms {
  display: none;
  background-color: #ffd500;
}
.cartIts {
  display: flex;
}
@media (max-width: 312px) {
  .subscribe-form .form-control {
    width: 85px !important;
  }
 
}
@media (max-width: 362px) {
  .subscribe-form .form-control {
    width: 150px;
  }
 
}
@media (max-width: 300px) {
  #btn_login_google,
  #btn_login_facebook {
    font-size: 9px;
  }
  .top-toal-prx2 .cartItms {
    display: block;
  }
  .top-toal-prx2 .total-price {
    display: none;
  }
  .top-toal-prx2 .total-items {
    display: none;
  }
  .top-discount {
    display: none;
  }
  .top-verif {
    display: none;
  }
  .top-videos {
    display: none;
  }

  /* .top-tienda {
            display: none;
        } */
}
@media (max-width: 385px) {
  .menu-right {
    margin-left: 50px;
  }
  /* .top-search {
            display: none;
        }
        .top-total-prx {
            display: none;
        } */
  /* .top-toal-prx2 {
            display: none;
        } */
  .top-discount {
    display: none;
  }
  /* .top-verif {
            display: none;
        } */
  .top-videos {
    display: none;
  }
  /* .top-tienda {
            display: none;
        } */
 
}
@media (max-width: 255px) {
  /* .top-tienda {
            display: none;
        } */
  .shopping-carts {
    display: none;
  }
  html,
  body {
    overflow-x: scroll !important;
  }
  .scroll_vert {
    min-width: 260px;
    overflow-x: scroll !important;
  }
  #btn_login_google,
  #btn_login_facebook {
    font-size: 10px;
  }

}
@media (max-width: 1007px) {
  .higer-show{
    display: none;  
  }
}

.spinner {
  width: 30px;
  height: 30px;
  border: 3px solid #ccc;
  border-top-color: #007bff;
  border-radius: 50%;
  animation: spin 1s linear infinite; /* Aplica la animación */
}

/* Definición de la animación */
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
